Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class MavenPluginConvention

    java.lang.Object
      org.gradle.api.plugins.MavenPluginConvention

    public class MavenPluginConvention

extends Object

Properties and methods added by the `MavenPlugin`.

Constructor Summary
`MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal project)`

Method Summary
`Conf2ScopeMappingContainer` | `getConf2ScopeMappings()` Returns the set of rules for how to map Gradle dependencies to Maven scopes.
`File` | `getPomDir()` Returns the directory to generate Maven POMs into.
`String` | `getPomDirName()` Returns the name of the directory to generate Maven POMs into, relative to the build directory.
`MavenPom` | `pom()` Creates a new `MavenPom`.
`MavenPom` | `pom(Closure configureClosure)` Creates and configures a new `MavenPom`.
`void` | `setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)`
`void` | `setPomDirName(String pomDirName)` Sets the name of the directory to generate Maven POMs into, relative to the build directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MavenPluginConvention

    public MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal project)

Method Detail

### getPomDirName

    public String getPomDirName()

  Returns the name of the directory to generate Maven POMs into, relative to the build directory.

### setPomDirName

    public void setPomDirName(String pomDirName)

  Sets the name of the directory to generate Maven POMs into, relative to the build directory.

### getConf2ScopeMappings

    public Conf2ScopeMappingContainer getConf2ScopeMappings()

  Returns the set of rules for how to map Gradle dependencies to Maven scopes.

  Returns:
    The mapping rules.

### setConf2ScopeMappings

    public void setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)

### getPomDir

    public File getPomDir()

  Returns the directory to generate Maven POMs into.

### pom

    public MavenPom pom()

  Creates a new `MavenPom`.

  Returns:
    The POM instance.

### pom

    public MavenPom pom(Closure configureClosure)

  Creates and configures a new `MavenPom`. The given closure is executed to configure the new POM instance.

  Parameters:
    `configureClosure` - The closure to use to configure the POM instance.
  Returns:
    The POM instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD